function init()
	-- NAME & GRAPHIC --
	c.name = "Warpcore"
	c.gfxFile = "warpcore.png"
	
	-- STATS --
	c.ord = 1
	c.mass = 20
	c.stat.thrust = 1.0
	c.stat.maxSpeed = 400
	c.stat.turnRate = 45
	c.stat.armour = 5

	-- TILES & POWER SLOTS --
	c.load_cshape("filled.png")
	
	-- MISC --
	c.setExplodeSound("explode_ship.wav")
	c.iconable = 0--no friend/foe icon
	c.desc = "A slow, dumb explosive canister."
	c.behavior = "torpedo"
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 6	--from map_icons.png, which frame to use.
	return 0
end